DocumentBeginFeatureGenerator (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.util.featuregen, class: DocumentBeginFeatureGenerator

# Class DocumentBeginFeatureGenerator

java.lang.Object
opennlp.tools.util.featuregen.DocumentBeginFeatureGenerator

All Implemented Interfaces:
  `AdaptiveFeatureGenerator`

public class DocumentBeginFeatureGenerator extends Object implements AdaptiveFeatureGenerator
This feature generator creates document begin features.

See Also:
  - `AdaptiveFeatureGenerator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentBeginFeatureGenerator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearAdaptiveData()`
  Informs a feature generator that the context of the adaptive data (typically a document) is no longer valid.
  `void`
  `createFeatures(List<String> features, String[] tokens, int index, String[] previousOutcomes)`
  Adds the appropriate features for the token at the specified `index` with the specified array of `previousOutcomes` to the specified list of features.

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface AdaptiveFeatureGenerator

  `updateAdaptiveData`

- ## Constructor Details

  - ### DocumentBeginFeatureGenerator

    public DocumentBeginFeatureGenerator()

- ## Method Details

  - ### createFeatures

    public void createFeatures(List<String> features, String[] tokens, int index, String[] previousOutcomes)
    Description copied from interface: `AdaptiveFeatureGenerator`
    Adds the appropriate features for the token at the specified `index` with the specified array of `previousOutcomes` to the specified list of features.
    Specified by:
      `createFeatures` in interface `AdaptiveFeatureGenerator`
    Parameters:
      `features` - The list of features to be added to.
      `tokens` - The tokens of the sentence or other text unit being processed.
      `index` - The index of the token which is currently being processed.
      `previousOutcomes` - The outcomes for the tokens prior to the specified index.

  - ### clearAdaptiveData

    public void clearAdaptiveData()
    Description copied from interface: `AdaptiveFeatureGenerator`
    Informs a feature generator that the context of the adaptive data (typically a document) is no longer valid.
    Specified by:
      `clearAdaptiveData` in interface `AdaptiveFeatureGenerator`